# Uses of Class
org.apache.sysds.runtime.controlprogram.federated.monitoring.models.DataObjectModel

Packages that use DataObjectModel
Package
Description
org.apache.sysds.runtime.controlprogram.federated
org.apache.sysds.runtime.controlprogram.federated.monitoring.models

## Uses of DataObjectModel in org.apache.sysds.runtime.controlprogram.federated

Fields in org.apache.sysds.runtime.controlprogram.federated with type parameters of type DataObjectModel
Modifier and Type
Field
Description
`List<DataObjectModel>`
FederatedStatistics.FedStatsCollection.`workerDataObjects`
Methods in org.apache.sysds.runtime.controlprogram.federated that return types with arguments of type DataObjectModel
Modifier and Type
Method
Description
`static List<DataObjectModel>`
FederatedStatistics.`getWorkerDataObjects()`
Methods in org.apache.sysds.runtime.controlprogram.federated with parameters of type DataObjectModel
Modifier and Type
Method
Description
`static void`
FederatedStatistics.`addDataObject(DataObjectModel dataObject)`

## Uses of DataObjectModel in org.apache.sysds.runtime.controlprogram.federated.monitoring.models

Fields in org.apache.sysds.runtime.controlprogram.federated.monitoring.models with type parameters of type DataObjectModel
Modifier and Type
Field
Description
`List<DataObjectModel>`
StatisticsModel.`dataObjects`